# ApplicationFramework
TKBinL
BinLDrivers

# BinLDrivers_DocumentSection Class Reference

More or less independent part of the saved/restored document
that is distinct from OCAF data themselves but may be referred
by them.
.

`#include <BinLDrivers_DocumentSection.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | BinLDrivers_DocumentSection ()
| Empty constructor .
Standard_EXPORT | BinLDrivers_DocumentSection (const TCollection_AsciiString &theName, const Standard_Boolean isPostRead)
| Constructor .
Standard_EXPORT const TCollection_AsciiString & | Name () const
| Query the name of the section. .
Standard_EXPORT Standard_Boolean | IsPostRead () const
| Query the status: if the Section should be read after OCAF; False means that the Section is read before starting to read OCAF data. .
Standard_EXPORT Standard_Size | Offset () const
| Query the offset of the section in the persistent file .
Standard_EXPORT void | SetOffset (const Standard_Size theOffset)
| Set the offset of the section in the persistent file .
Standard_EXPORT Standard_Size | Length () const
| Query the length of the section in the persistent file .
Standard_EXPORT void | SetLength (const Standard_Size theLength)
| Set the length of the section in the persistent file .
Standard_EXPORT void | WriteTOC (Standard_OStream &theOS)
| Create a Section entry in the Document TOC (list of sections) .
Standard_EXPORT void | Write (Standard_OStream &theOS, const Standard_Size theOffset)
| Save Offset and Length data into the Section entry in the Document TOC (list of sections) .

## Static Public Member Functions

static Standard_EXPORT void | ReadTOC (BinLDrivers_DocumentSection &theSection, Standard_IStream &theIS)
| Fill a DocumentSection instance from the data that are read from TOC. .

## Private Attributes

TCollection_AsciiString | myName
Standard_Size | myValue [2]
Standard_Boolean | myIsPostRead

## Constructor & Destructor Documentation

Standard_EXPORT BinLDrivers_DocumentSection::BinLDrivers_DocumentSection | ( |  | ) |

Standard_EXPORT BinLDrivers_DocumentSection::BinLDrivers_DocumentSection | ( | const TCollection_AsciiString & | theName,
|  | const Standard_Boolean | isPostRead
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean BinLDrivers_DocumentSection::IsPostRead | ( |  | ) | const

Standard_EXPORT Standard_Size BinLDrivers_DocumentSection::Length | ( |  | ) | const

Standard_EXPORT const TCollection_AsciiString& BinLDrivers_DocumentSection::Name | ( |  | ) | const

Standard_EXPORT Standard_Size BinLDrivers_DocumentSection::Offset | ( |  | ) | const

void BinLDrivers_DocumentSection::operator delete | ( | void * | anAddress | ) | `[inline]`

void* BinLDrivers_DocumentSection::operator new | ( | size_t | size | ) | `[inline]`

void* BinLDrivers_DocumentSection::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT void BinLDrivers_DocumentSection::ReadTOC | ( | BinLDrivers_DocumentSection & | theSection,
|  | Standard_IStream & | theIS
| ) | `[static]`

Standard_EXPORT void BinLDrivers_DocumentSection::SetLength | ( | const Standard_Size | theLength | ) |

Standard_EXPORT void BinLDrivers_DocumentSection::SetOffset | ( | const Standard_Size | theOffset | ) |

Standard_EXPORT void BinLDrivers_DocumentSection::Write | ( | Standard_OStream & | theOS,
|  | const Standard_Size | theOffset
| ) |

Standard_EXPORT void BinLDrivers_DocumentSection::WriteTOC | ( | Standard_OStream & | theOS | ) |

## Field Documentation

Standard_Boolean BinLDrivers_DocumentSection::myIsPostRead `[private]`

TCollection_AsciiString BinLDrivers_DocumentSection::myName `[private]`

Standard_Size BinLDrivers_DocumentSection::myValue[2]`[private]`

The documentation for this class was generated from the following file:

- BinLDrivers_DocumentSection.hxx